List Products

Returns a paginated list of products that match the supplied filter, sort, and search criteria.

The list endpoint is backed by Elasticsearch and supports free-text search across product fields such as description, sku, barcode, product_ref, hs_code, manufacturer_id, and material_composition.

Filters are applied as exact term matches. Most filters can be repeated to match any of the supplied values.

SecurityOAuth2-Production or OAuth2-Demo
Request
query Parameters
search_string
string

Free-text search applied across sku, barcode, product_ref, description, hs_code, manufacturer_id, and material_composition.

merchant
string

Filter by merchant. Repeat the parameter to match multiple merchants.

product_id
string

Filter by Carriyo product ID. Repeat the parameter to match multiple values.

sku
string

Filter by SKU. Repeat the parameter to match multiple values.

barcode
string

Filter by barcode. Repeat the parameter to match multiple values.

product_ref
string

Filter by your reference (product_ref). Repeat the parameter to match multiple values.

status
string

Filter by product status.

Enum: "ACTIVE" "INACTIVE" "DELETED"
sort_by
string

Field to sort the results by.

Enum: "sku" "barcode" "product_ref" "description" "hs_code" "manufacturer_id"
sort_direction
string
Default: "desc"

Sort direction. Defaults to desc.

Enum: "asc" "desc"
page
integer
Default: 0

Page number, starting from 0. Defaults to 0.

page_size
integer <= 250
Default: 10

Number of results per page. Defaults to 10. Maximum 250.

header Parameters
x-api-key
required
string

Your Carriyo API key for authentication.

tenant-id
required
string

Your unique tenant identifier in Carriyo.

Responses
200

A paginated list of products.

get/products
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "total": 0
}